# rgb555conv - converts 24 bit color to 15 bit color
I got tired of manually converting 24 bit hex colors (like `0xRRGGBB`) into 15
bit RGB555 colors (like `0b0BBBBBGGGGGRRRRR`) so I slapped this together to do
it for me.  Be warned that the 4 character color it outputs is in BGR format
instead of RGB for use on the Game Boy Color and Game Boy Advance. It also
outputs a 24 bit representation of the 15 bit color (still in `0xRRGGBB`) for
use in things like your sprite software.

If it outputs a rounded and unrounded variant, it's up to you to look at it and
decide which you like, because they may differ significantly.

## compiling:

```
git clone https://tildegit.org/nytpu/rgb555conv.git
cd rgb555conv
gcc -Wall -pedantic -W -o rgb555conv main.c
```
